Subject: RE: [mobile-ip] Consensus call - MIPv4 interopration with NATs/VP Ns

From: "Iyer, Prakash" <[email-masked]>
Date: Tue, 15 Jan 2002 11:57:54 -0800

Henrik,

I think the folks who responded were responding to the question: is this a
problem to work on
and solve and not specifically if they endorse the draft. That is true with
respect to the
NAT draft as well by the way. So in a sense the question is: would you like
to see this work
be taken up by the WG.

Once we decide on that we can discuss proposals from various folks including
yours and
discuss merits etc. based on requirements, deployment scenarios etc. We will
have more to say
on this subject as well as you can imagine :)

Regards.
-Prakash 

-----Original Message-----
From: Henrik Levkowetz [mailto:[email-masked]]
Sent: Tuesday, January 15, 2002 6:43 AM
To: [email-masked]
Subject: RE: [mobile-ip] Consensus call - MIPv4 interopration with
NATs/VP Ns

I believe that VPN interaction is of interest to mobile IP, but also 
that the problem is not as simple and well understood yet as the NAT
traversal, and would benefit from more work and discussions. In
particular, I'm not convinced that the solution in the adrangi draft
is the best we can come up with. There's a short discussion of different
scenarios in http://www.levkowetz.com/pub/id/nat-vpn-scenarios.html,
but I believe there is more to be said and thought on the subject.. :-)

	Best regards,
		Henrik

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Phil Roberts
> Sent: Monday, January 14, 2002 4:15 PM
> To: [email-masked]'
> Subject: RE: [mobile-ip] Consensus call - MIPv4 interopration with
> NATs/VP Ns
> 
> 
> Sure.
> 
> When we asked during London there was a large constituency in the room
that
> agreed about the NAT traversal problem.  Not so with the VPN gateway
> traversal
> and there was some pushback in the private discussion about whether VPN
> gateway traversal was needed at all.  If you can get enough folks to post
on
> the MIP list that they're interested in VPN gateway traversal we can
> consider
> whether to pursue a draft on it.
> 
> Phil
> 
> 
> > -----Original Message-----
> > From: Iyer, Prakash [mailto:[email-masked]]
> > Sent: Monday, January 14, 2002 10:13 AM
> > To: [email-masked]'
> > Subject: RE: [mobile-ip] Consensus call - MIPv4 interopration with
> > NATs/VP Ns
> > 
> > 
> > Was the consensus based on the number of companies. If so, as far as I
> > remember there were only
> > 2 or 3 companies driving NAT requirements and at least as 
> > many (if not more)
> > interested in solving 
> > the VPN problem. I remember both George and James Kempf 
> > raising this issue
> > for discussion and a 
> > couple of other vendors noting their interest on the 
> > [mobileip-nat-vpn]
> > mailing list. As I had 
> > mentioned earlier there were requests on the IPSRA mailing 
> > list as well.
> > 
> > Maybe the chairs can clarify the basis for this conclusion 
> > for the benefit
> > of the working group.
> > Thanks.
> > 
> > -Prakash
> > 
> > -----Original Message-----
> > From: Phil Roberts [mailto:[email-masked]]
> > Sent: Monday, January 14, 2002 6:42 AM
> > To: [email-masked]'
> > Subject: RE: [mobile-ip] Consensus call - MIPv4 interopration with
> > NATs/VP Ns
> > 
> > 
> > Based on the feedback we'll be making
> > draft-levkowetz-vaarala-mobileip-nat-traversal-00.txt
> > a working group item and waiting on the interoperation with 
> > VPN gateways
> > until there is
> > a larger constituency of interest in the WG.
> > 
> > 
> > > -----Original Message-----
> > > From: Patil Basavaraj (NET/Dallas) 
> [mailto:[email-masked]]
> > Sent: Friday, January 04, 2002 6:59 PM
> > To: 'Mobile IP'
> > Subject: [mobile-ip] Consensus call - MIPv4 interopration 
> > with NATs/VPNs
> > 
> > 
> > In London a design team was formed to investigate the problem of
> > Mobile IPv4 interoperation with NATs and VPNs.  At the time there
> > was a clear constituency in the working group that having a solution
> > to NAT traversal was important.  It was less clear to the 
> > chairs that there was a clear interest in the working group for a
> > specification of the operation of Mobile IPv4 across VPN gateways.  To
> > that end  we propose that the following draft:
> > draft-levkowetz-vaarala-mobileip-nat-traversal-00.txt
> > (the output of the design team) be made into a working group item for
> > progression on the Standards Track.  Please let us know in the next
> > few days if you object to this.
> >  
> > We would also like to hear feedback from the working group on
> > whether there is a perceived need for a solution to Mobile IPv4
> > interoperation with VPN gateways.
> > 
> > WG Chairs
> >

---

From: Sami Vaarala <[email-masked]>
Date: Wed, 16 Jan 2002 10:37:00 +0200 (EET)

Prakash,

> problem to work on and solve and not specifically if they endorse the
> draft. That is true with respect to the NAT draft as well by the way. So
> in a sense the question is: would you like to see this work be taken up
> by the WG.

Yes, I agree.  With regards to the NAT traversal draft, I don't personally
care what it looks like, as long as it works, is simple, and solves
the problem in a way that can be agreed upon, so that I can avoid
implementing a dozen different NAT traversals for interoperability
purposes.  So if you have an issue with NAT traversal, scream!

About the VPN/Mobile IP issue, I think it is definitely an important one.
What I'm not sure about is that it is a *MIP WG* issue (i.e. does it
require MIP changes).  Maybe it cannot be solved in parts, but maybe it
can.  In the latter case there doesn't seem to be a proper place for it --
maybe an informational RFC?

Best regards,

-Sami